Attribute VB_Name = "modGlobal"
Option Explicit

'**  Project must include reference to DAO

Public mstrDbName       As DAO.Database
Public mstrTbldef       As DAO.TableDef
Public mstrFld          As DAO.Field

Public DBFullPath       As String
  
Public mintIndx         As Integer
Public mintfieldTotl    As Integer
Public mintFieldLen     As Integer
Public blnKeyCheck      As Boolean
Public mstrTitle        As String
Public mstrMsg          As String

'* used when field type is other than "Number"
Public Const vbGray = &HC0C0C0     '* no Gray in RGB color constants!

Public Sub SendErrorMessage(strText As String)
'**********************************************************

    mstrTitle = "Invalid Field Entry"
    
    Select Case strText
        Case "dbname"
            mstrMsg = "Can't create a database without a name!" _
                      & vbCrLf _
                      & "Enter a valid name for your database." _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "tblname"
            mstrMsg = "Can't create a database without a table name!" _
                      & vbCrLf _
                      & "Enter a valid table name for your database." _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "row"
            mstrMsg = "There must be at least one row to create" _
                      & vbCrLf _
                      & "your database.  Enter a valid numeric value" _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "fieldname"
            mstrMsg = "Invalid Field Name - must not be blank" _
                      & vbCrLf _
                      & "Enter a valid field name." _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
    
        Case "fieldlen"
            mstrMsg = "Field must be numeric (0 to 9) and " _
                      & vbCrLf _
                      & "contain a value greater than zero (0)" _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "fieldtype"
            mstrMsg = "Make your selection from the Drop down list provided. " _
                      & vbCrLf _
                      & "Each field must contain a 'Type' value." _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "numtype"
            mstrMsg = "Make your selection from the Drop down list provided. " _
                      & vbCrLf _
                      & "a number field must contain a 'Type' value." _
                      & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "inttoolarge"
            mstrMsg = "You have set an invalid field length.  The available " & vbCrLf _
                      & "valid sizes are based on field type:" & vbCrLf _
                      & "    Byte ........... 1 to 3 " & vbCrLf _
                      & "    Integer ........ 1 to 5 " & vbCrLf _
                      & "    Long Integer ... 1 to 10 " & vbCrLf _
                      & "    Single ......... 1 to 8 " & vbCrLf _
                      & "    Double ......... 1 to 15 " & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
            
        Case "toolong"
            mstrMsg = "You have set an invalid field length. " & vbCrLf _
                      & "a 'Text' field is restricted to 255 characters." & vbCrLf _
                      & "If you require a larger field length, change the " & vbCrLf _
                      & "'Field Type' to Memo." & vbCrLf
            MsgBox mstrMsg, vbExclamation + vbOKOnly, mstrTitle
                        
    End Select
    
End Sub


